(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
(*  Rotation Matrices  *)
(* Author: Rod McCrady *)

BeginPackage["Dfunc`"]

dfunc::usage = "dfunc[ J, m, m', theta ]
  -  Rotations by theta around the y axis."
  
Ds::usage =  "Ds[ J, m, m', theta, phi ] = Conjugate[ Dfunc[...] ]"

Dfunc::usage = "Dfunc[ J, m, m', theta, phi ]
  -  Rotation by theta, phi"
  
Begin["`private`"]

{`J, `m1, `m2, `t, `p, `n }

dfunc[J_,m1_,m2_,t_] :=
( Sum[
     Power[-1,n] Sqrt[Times[(J+m2)!,(J-m2)!,(J+m1)!,(J-m1)!]]
     /Times[(J-m1-n)!,(J+m2-n)!,(n+m1-m2)!,n!] *
     Power[Cos[t/2],(2 J+m2-m1-2 n)] *
     Power[-Sin[t/2],(m1-m2+2 n)]
  ,{n,0,2 J}] )

Dfunc[J_,m1_,m2_,t_,p_] := Exp[ -I m1 p ] dfunc[J,m1,m2,t]
Ds[J_,m1_,m2_,t_,p_] := Exp[ I m1 p ] dfunc[J,m1,m2,t]

End[]
EndPackage[]
:[font = input; initialization; preserveAspect]
*)
dfunc[J_,m1_,m2_,t_] :=
( Sum[
     Power[-1,n] Sqrt[Times[(J+m2)!,(J-m2)!,(J+m1)!,(J-m1)!]]
     /Times[(J-m1-n)!,(J+m2-n)!,(n+m1-m2)!,n!] *
     Power[Cos[t/2],(2 J+m2-m1-2 n)] *
     Power[-Sin[t/2],(m1-m2+2 n)]
  ,{n,0,2 J}] );
  
Dfunc[J_,m1_,m2_,t_,p_] := Exp[ -I m1 p ] dfunc[J,m1,m2,t];
  
Ds[J_,m1_,m2_,t_,p_] := Exp[ I m1 p ] dfunc[J,m1,m2,t];
(*
^*)