(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; startGroup]
wh  from 3S1, w  pog
;[s]
10:0,0;4,1;8,2;9,3;10,4;11,5;14,6;15,7;18,8;19,9;21,-1;
10:1,0,0 ,Symbol,1,18,0,0,0;1,0,0 ,Courier,1,18,0,0,0;1,0,0 ,Courier New,1,18,0,0,0;1,0,0 ,Courier,33,14,0,0,0;1,0,0 ,Courier,1,18,0,0,0;1,0,0 ,Courier,65,14,0,0,0;1,0,0 ,Symbol,1,18,0,0,0;1,0,0 ,Symbol,1,14,0,0,0;1,0,0 ,Symbol,1,18,0,0,0;1,0,0 ,Symbol,33,12,0,0,0;
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf, tw, twf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0}, {1,lw}, {1,lw} ] *
               ClebschGordan[ {1,lw},{0,0},   {1,lw} ],
               {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
tpbpf[ lw_ ] := tpbp[[ 2-lw ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = input; preserveAspect]
Clear[ Ds, amplitude, q,r, y,z ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[lw] Ds[1,m,lw,  q,r ] Sqrt[3/(4Pi)]*
             twf[lg]   Ds[1,lw,lg, y,z ] Sqrt[3/(4Pi)],
             {lw,1,-1,-1}],
        {lg,1,-1,-1},{m,1,-1,-1}]) ;
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 =( Simplify[ Expand[ TrigReduce[ ComplexToTrig[
      amplitude ] ] ] ] ) ;
:[font = input; preserveAspect; startGroup]
a2=Factor[ a1 ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{(-3*(-I*Cos[r] + Sin[r])*(-I*Cos[q]*Cos[z] - I*Cos[y]*Cos[z] + 
 
        Sin[z] + Cos[q]*Cos[y]*Sin[z]))/(16*Pi), 
 
   (3*Sin[q]*(Cos[z] + I*Cos[y]*Sin[z]))/(8*2^(1/2)*Pi), 
 
   (3*(I*Cos[r] + Sin[r])*(I*Cos[q]*Cos[z] - I*Cos[y]*Cos[z] + 
 
        Sin[z] - Cos[q]*Cos[y]*Sin[z]))/(16*Pi)}, {0, 0, 0}, 
 
  {(3*(-I*Cos[r] + Sin[r])*(-I*Cos[q]*Cos[z] + I*Cos[y]*Cos[z] + 
 
        Sin[z] - Cos[q]*Cos[y]*Sin[z]))/(16*Pi), 
 
   ((3*I)/8*Sin[q]*(I*Cos[z] + Cos[y]*Sin[z]))/(2^(1/2)*Pi), 
 
   (-3*(I*Cos[r] + Sin[r])*(I*Cos[q]*Cos[z] + I*Cos[y]*Cos[z] + 
 
        Sin[z] + Cos[q]*Cos[y]*Sin[z]))/(16*Pi)}}
;[o]
{{(-3 (-I Cos[r] + Sin[r]) (-I Cos[q] Cos[z] - I Cos[y] Cos[z] + 
 
        Sin[z] + Cos[q] Cos[y] Sin[z])) / (16 Pi), 
 
   3 Sin[q] (Cos[z] + I Cos[y] Sin[z])
   -----------------------------------, 
              8 Sqrt[2] Pi
 
   (3 (I Cos[r] + Sin[r]) (I Cos[q] Cos[z] - I Cos[y] Cos[z] + 
 
        Sin[z] - Cos[q] Cos[y] Sin[z])) / (16 Pi)}, {0, 0, 0}, 
 
  {(3 (-I Cos[r] + Sin[r]) (-I Cos[q] Cos[z] + I Cos[y] Cos[z] + 
 
        Sin[z] - Cos[q] Cos[y] Sin[z])) / (16 Pi), 
 
   3 I
   --- Sin[q] (I Cos[z] + Cos[y] Sin[z])
    8
   -------------------------------------, 
                Sqrt[2] Pi
 
   (-3 (I Cos[r] + Sin[r]) (I Cos[q] Cos[z] + I Cos[y] Cos[z] + 
 
        Sin[z] + Cos[q] Cos[y] Sin[z])) / (16 Pi)}}
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
asa = a2 astar ;
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
wt=Sum[ angdist[[2-m]], {m,1,-1,-1}] / 3 ;
:[font = input; preserveAspect; startGroup]
wt=Factor[TrigReduce[Simplify[ ExpandAll[ wt ,Trig->True],Trig->True]]]
:[font = output; output; inactive; preserveAspect; endGroup]
(3*(1 + Cos[y]^2))/(64*Pi^2)
;[o]
             2
3 (1 + Cos[y] )
---------------
         2
    64 Pi
:[font = input; preserveAspect; startGroup]
total=(Integrate[ wt Sin[q] Sin[y],
                  {q,0,Pi}, {r,0,2Pi},
                  {y,0,Pi}, {z,0,2Pi}])
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = subsection; inactive; preserveAspect; startGroup]
wh  from 1P1, Sums instead of matrices, w  pog
;[s]
6:0,0;4,1;8,2;9,3;11,4;40,5;47,-1;
6:1,0,0 ,Symbol,1,14,0,0,0;1,0,0 ,Courier,1,14,0,0,0;1,0,0 ,Courier New,1,14,0,0,0;1,0,0 ,Courier,33,14,0,0,0;1,0,0 ,Courier,65,14,0,0,0;1,0,0 ,Symbol,1,14,0,0,0;
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf, tw, twf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {0,0}, {1,lw}, {1,lw} ] *
               ClebschGordan[ {1,lw},{0,0},   {1,lw} ],
               {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect]
tpbpf[ lw_ ] := tpbp[[ 2-lw ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = input; preserveAspect]
Clear[ Ds, amplitude, q,r, y,z ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[lw] Ds[1,m,lw,  q,r ] Sqrt[3/(4Pi)]*
             twf[lg]   Ds[1,lw,lg, y,z ] Sqrt[3/(4Pi)],
             {lw,1,-1,-1}],
        {lg,1,-1,-1},{m,1,-1,-1}]) ;
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 =( Expand[ TrigReduce[ ComplexToTrig[
      amplitude ] ] ]) ;
:[font = input; preserveAspect; startGroup]
a2=Factor[ a1 ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{(3*(-I*Cos[r] + Sin[r])*(-I*Cos[z] - I*Cos[q]*Cos[y]*Cos[z] + 
 
        I*Sin[q]*Sin[y] + Cos[q]*Sin[z] + Cos[y]*Sin[z]))/
 
    (8*2^(1/2)*Pi), ((-3*I)/8*
 
      (-I*Cos[y]*Cos[z]*Sin[q] - I*Cos[q]*Sin[y] + Sin[q]*Sin[z]))/Pi\
 
    , (3*(I*Cos[r] + Sin[r])*
 
      (I*Cos[z] - I*Cos[q]*Cos[y]*Cos[z] + I*Sin[q]*Sin[y] + 
 
        Cos[q]*Sin[z] - Cos[y]*Sin[z]))/(8*2^(1/2)*Pi)}, {0, 0, 0}, 
 
  {(3*(-I*Cos[r] + Sin[r])*(I*Cos[z] - I*Cos[q]*Cos[y]*Cos[z] + 
 
        I*Sin[q]*Sin[y] - Cos[q]*Sin[z] + Cos[y]*Sin[z]))/
 
    (8*2^(1/2)*Pi), ((3*I)/8*
 
      (I*Cos[y]*Cos[z]*Sin[q] + I*Cos[q]*Sin[y] + Sin[q]*Sin[z]))/Pi, 
 
   (-3*(I*Cos[r] + Sin[r])*(I*Cos[z] + I*Cos[q]*Cos[y]*Cos[z] - 
 
        I*Sin[q]*Sin[y] + Cos[q]*Sin[z] + Cos[y]*Sin[z]))/
 
    (8*2^(1/2)*Pi)}}
;[o]
{{(3 (-I Cos[r] + Sin[r]) (-I Cos[z] - I Cos[q] Cos[y] Cos[z] + 
 
        I Sin[q] Sin[y] + Cos[q] Sin[z] + Cos[y] Sin[z])) / 
 
    (8 Sqrt[2] Pi), 
 
    -3 I
    ---- (-I Cos[y] Cos[z] Sin[q] - I Cos[q] Sin[y] + Sin[q] Sin[z])
     8
    ----------------------------------------------------------------, 
                                   Pi
 
   (3 (I Cos[r] + Sin[r]) (I Cos[z] - I Cos[q] Cos[y] Cos[z] + 
 
        I Sin[q] Sin[y] + Cos[q] Sin[z] - Cos[y] Sin[z])) / 
 
    (8 Sqrt[2] Pi)}, {0, 0, 0}, 
 
  {(3 (-I Cos[r] + Sin[r]) (I Cos[z] - I Cos[q] Cos[y] Cos[z] + 
 
        I Sin[q] Sin[y] - Cos[q] Sin[z] + Cos[y] Sin[z])) / 
 
    (8 Sqrt[2] Pi), 
 
    3 I
    --- (I Cos[y] Cos[z] Sin[q] + I Cos[q] Sin[y] + Sin[q] Sin[z])
     8
    --------------------------------------------------------------, 
                                  Pi
 
   (-3 (I Cos[r] + Sin[r]) (I Cos[z] + I Cos[q] Cos[y] Cos[z] - 
 
        I Sin[q] Sin[y] + Cos[q] Sin[z] + Cos[y] Sin[z])) / 
 
    (8 Sqrt[2] Pi)}}
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
asa = a2 astar ;
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
wt=Sum[ angdist[[2-m]], {m,1,-1,-1}] / 3 
:[font = input; preserveAspect; startGroup]
wt=Factor[TrigReduce[Simplify[ ExpandAll[ wt ,Trig->True],Trig->True]]]
:[font = output; output; inactive; preserveAspect; endGroup]
3/(16*Pi^2)
;[o]
  3
------
     2
16 Pi
:[font = input; preserveAspect; startGroup]
total=(Integrate[ wt Sin[q] Sin[y],
                  {q,0,Pi}, {r,0,2Pi},
                  {y,0,Pi}, {z,0,2Pi}])
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup]
3
;[o]
3
^*)