(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; startGroup]
omega(1420) pi from 3S1, omega(1420) -> b1 pi
:[font = text; inactive; preserveAspect]
For the pbar p annihilation, L=1
:[font = input; preserveAspect]
Clear[Ds,tpbp,tpbpf]
:[font = input; preserveAspect; startGroup]
tpbp=( Table[ClebschGordan[{1,0}, {1,lom}, {1,lom} ] *
             ClebschGordan[{1,lom}, {0,0}, {1,lom} ],
             {lom,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
tpbpf[ lom_ ] := tpbp[[ 2-lom ]]
:[font = text; inactive; preserveAspect]
For the omega(1420) decay to b1 pi, L=0  or 2:
(See Diaz et al, PRL 32 (1974) 260.)
:[font = input; preserveAspect]
Clear[ tomL0, tomL2, tomf, a, b ]
:[font = input; preserveAspect; startGroup]
tomL0=( Table[ ClebschGordan[ {0,0},  {1,lb1}, {1,lb1} ] *
             ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
             {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect]
tomL2=( Table[ ClebschGordan[ {2,0},  {1,lb1}, {1,lb1} ] *
             ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
             {lb1,1,-1,-1} ] )
:[font = input; preserveAspect]
tomf[ lb1_ ] := a /; ( lb1 == 1 ) || ( lb1 == -1 )
:[font = input; preserveAspect]
tomf[ lb1_ ] := b /; ( lb1 == 0 )
:[font = text; inactive; preserveAspect]
For b1 decaying to omega pi, L=0 or 2
:[font = input; preserveAspect]
Clear[ tb1L0, tb1L2, tb1f, c, d ]
:[font = input; preserveAspect; startGroup]
tb1L0 =( Table[ ClebschGordan[ {0,0}, {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0}, {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
tb1L2 =( Table[ ClebschGordan[ {2,0}, {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0}, {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect]
tb1f[ lw_ ] := c /; ( lw ==1 ) || ( lw == -1 )
:[font = input; preserveAspect]
tb1f[ lw_ ] := d /; lw == 0
:[font = text; inactive; preserveAspect]
For the omega decay to pi0 gamma:
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = input; preserveAspect]
Clear[ amplitude, astar, a1, a2, q,r,s,t,u,v,y,z ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ lom ] Ds[1,m,  lom, q,r] Sqrt[3/(4Pi)]*
             tomf[  lb1 ] Ds[1,lom,lb1, s,t] Sqrt[3/(4Pi)]*
             tb1f[  lw  ] Ds[1,lb1,lw,  u,v] Sqrt[3/(4Pi)]*
             twf[   lg  ] Ds[1,lw, lg,  y,z] Sqrt[3/(4Pi)],
             {lom,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-2}, {m,1,-1,-1} ] )
:[font = input; preserveAspect; startGroup]
 Dimensions[amplitude]
:[font = output; output; inactive; preserveAspect; endGroup]
{2, 3}
;[o]
{2, 3}
:[font = input; preserveAspect]
<<Trigonometry.m
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Simplify[ Expand[ ComplexToTrig[ TrigReduce[ amplitude]]]] ;
:[font = input; preserveAspect]
a2 = Factor[ a1 ]
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect]
wt=Sum[ angdist[[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; startGroup]
omega(1420) pi from 3S1, 
omega(1420) -> omega (pi pi)s-wave
:[font = text; inactive; preserveAspect]
For the pbar p annihilation, L=1
:[font = input; preserveAspect]
Clear[Ds,tpbp,tpbpf]
:[font = input; preserveAspect; startGroup]
tpbp=( Table[ClebschGordan[{1,0}, {1,lom}, {1,lom} ] *
             ClebschGordan[{1,lom}, {0,0}, {1,lom} ],
             {lom,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
tpbpf[ lom_ ] := tpbp[[ 2-lom ]]
:[font = text; inactive; preserveAspect]
For the omega(1420) decay to omega pipi, L=0  or 2:
:[font = input; preserveAspect]
Clear[ tomL0, tomL2, tomf, a, b ]
:[font = input; preserveAspect; startGroup]
tomL0=( Table[ ClebschGordan[ {0,0},  {1,lw}, {1,lw} ] *
               ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
               {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
tomL2=( Table[ ClebschGordan[ {2,0},  {1,lw}, {1,lw} ] *
               ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
               {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect]
tomf[ lw_ ] := a /; ( lw == 1 ) || ( lw == -1 )
:[font = input; preserveAspect]
tomf[ lw_ ] := b /; ( lw == 0 )
:[font = text; inactive; preserveAspect]
For the omega decay to pi0 gamma:
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = input; preserveAspect]
Clear[ Ds, amplitude, a1, a2, q,r,s,t,y,z ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ lom ] Ds[1,m,  lom, q,r] Sqrt[3/(4Pi)]*
             tomf[  lw  ] Ds[1,lom,lw , s,t] Sqrt[3/(4Pi)]*
             twf[   lg  ] Ds[1,lw, lg,  y,z] Sqrt[3/(4Pi)], 
             {lom,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-2}, {m,1,-1,-1} ] )
:[font = input; preserveAspect; startGroup]
 Dimensions[amplitude]
:[font = output; output; inactive; preserveAspect; endGroup]
{2, 3}
;[o]
{2, 3}
:[font = input; preserveAspect]
<<Trigonometry.m
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Simplify[ Expand[ ComplexToTrig[ TrigReduce[ amplitude]]]] ;
:[font = input; preserveAspect]
a2 = Factor[ a1 ]
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
Clear[ asa, angdist, w ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; startGroup]
omega(1420) pi from 1P1, omega(1420) -> b1 pi
:[font = text; inactive; preserveAspect]
For the pbar p annihilation, L=0
:[font = input; preserveAspect]
Clear[Ds,tpbp,tpbpf]
:[font = input; preserveAspect; startGroup]
tpbp=( Table[ClebschGordan[{0,0}, {1,lom}, {1,lom} ] *
             ClebschGordan[{1,lom}, {0,0}, {1,lom} ],
             {lom,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect]
tpbpf[ lom_ ] := tpbp[[ 2-lom ]]
:[font = text; inactive; preserveAspect]
For the omega(1420) decay to b1 pi, L=0  or 2:
(See Diaz et al, PRL 32 (1974) 260.)
:[font = input; preserveAspect]
Clear[ tomL0, tomL2, tomf, a, b ]
:[font = input; preserveAspect; startGroup]
tomL0=( Table[ ClebschGordan[ {1,0},  {1,lb1}, {1,lb1} ] *
             ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
             {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect]
tomL2=( Table[ ClebschGordan[ {2,0},  {1,lb1}, {1,lb1} ] *
             ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
             {lb1,1,-1,-1} ] )
:[font = input; preserveAspect]
tomf[ lb1_ ] := a /; ( lb1 == 1 ) || ( lb1 == -1 )
:[font = input; preserveAspect]
tomf[ lb1_ ] := b /; ( lb1 == 0 )
:[font = text; inactive; preserveAspect]
For b1 decaying to omega pi, L=0 or 2
:[font = input; preserveAspect]
Clear[ tb1L0, tb1L2, tb1f, c, d ]
:[font = input; preserveAspect; startGroup]
tb1L0 =( Table[ ClebschGordan[ {0,0}, {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0}, {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
tb1L2 =( Table[ ClebschGordan[ {2,0}, {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0}, {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect]
tb1f[ lw_ ] := c /; ( lw ==1 ) || ( lw == -1 )
:[font = input; preserveAspect]
tb1f[ lw_ ] := d /; lw == 0
:[font = text; inactive; preserveAspect]
For the omega decay to pi0 gamma:
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = input; preserveAspect]
Clear[ Ds, amplitude, astar, a1, a2, q,r,s,t,u,v,y,z ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ lom ] Ds[1,m,  lom, q,r] Sqrt[3/(4Pi)]*
             tomf[  lb1 ] Ds[1,lom,lb1, s,t] Sqrt[3/(4Pi)]*
             tb1f[  lw  ] Ds[1,lb1,lw,  u,v] Sqrt[3/(4Pi)]*
             twf[   lg  ] Ds[1,lw, lg,  y,z] Sqrt[3/(4Pi)],
             {lom,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-2}, {m,1,-1,-1} ] )
:[font = input; preserveAspect; startGroup]
 Dimensions[amplitude]
:[font = output; output; inactive; preserveAspect; endGroup]
{2, 3}
;[o]
{2, 3}
:[font = input; preserveAspect]
<<Trigonometry.m
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Simplify[ Expand[ ComplexToTrig[ TrigReduce[ amplitude]]]] ;
:[font = input; preserveAspect]
a2 = Factor[ a1 ]
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
Clear[ asa, angdist, w ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; startGroup]
omega(1420) pi from 1P1, 
omega(1420) -> omega (pi pi)s-wave
:[font = text; inactive; preserveAspect]
For the pbar p annihilation, L=0
:[font = input; preserveAspect]
Clear[Ds,tpbp,tpbpf]
:[font = input; preserveAspect; startGroup]
tpbp=( Table[ClebschGordan[{0,0}, {1,lom}, {1,lom} ] *
             ClebschGordan[{1,lom}, {0,0}, {1,lom} ],
             {lom,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect]
tpbpf[ lom_ ] := tpbp[[ 2-lom ]]
:[font = text; inactive; preserveAspect]
For the omega(1420) decay to omega pipi, L=0  or 2:
:[font = input; preserveAspect]
Clear[ tomL0, TomL2, tomf, a, b ]
:[font = input; preserveAspect; startGroup]
tomL0=( Table[ ClebschGordan[ {0,0},  {1,lw}, {1,lw} ] *
               ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
               {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
tomL2=( Table[ ClebschGordan[ {2,0},  {1,lw}, {1,lw} ] *
               ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
               {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect]
tomf[ lw_ ] := a /; ( lw == 1 ) || ( lw == -1 )
:[font = input; preserveAspect]
tomf[ lw_ ] := b /; ( lw == 0 )
:[font = text; inactive; preserveAspect]
For the omega decay to pi0 gamma:
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = input; preserveAspect]
Clear[ amplitude, astar, a1, a2, q,r,s,t,y,z ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ lom ] Ds[1,m,  lom, q,r] Sqrt[3/(4Pi)]*
             tomf[  lw  ] Ds[1,lom,lw , s,t] Sqrt[3/(4Pi)]*
             twf[   lg  ] Ds[1,lw, lg,  y,z] Sqrt[3/(4Pi)],
             {lom,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-2}, {m,1,-1,-1} ] )
:[font = input; preserveAspect; startGroup]
 Dimensions[amplitude]
:[font = output; output; inactive; preserveAspect; endGroup]
{2, 3}
;[o]
{2, 3}
:[font = input; preserveAspect]
<<Trigonometry.m
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
Ds[J_,m1_,m2_,t_,p_] := Exp[ I m1 p ] dfunc[J,m1,m2,t]
:[font = input; preserveAspect]
a1 = Simplify[ Expand[ ComplexToTrig[ TrigReduce[ amplitude]]]] ;
:[font = input; preserveAspect]
a2 = Factor[ a1 ]
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
Clear[ asa, angdist, w ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[y] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
^*)